Skip to main content
POST
Get Advanced Webhook Endpoints
Use this API to list the webhook delivery endpoints configured for a workspace. Results are paginated via an opaque iterator cursor.
This endpoint uses API-key-level auth: pass x-velt-api-key and x-velt-auth-token as headers. You can obtain these from the Get Auth Tokens endpoint.
Advanced webhooks must be enabled for the workspace first via Update Advanced Webhook Config with { "isEnabled": true }. Otherwise this endpoint returns a FAILED_PRECONDITION error.

Endpoint

POST https://api.velt.dev/v2/workspace/advancedwebhook/endpoints/get

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Request

Example Response

Success Response

When done is false, pass the returned iterator in the next request to fetch the following page. Optional endpoint fields that are unset are returned as explicit null values.

Failure Response

Failure Response (advanced webhooks disabled)